coreEngine.Calibration.Organisms

## Class NDistCDPOrg

- java.lang.Object
- - coreEngine.Calibration.Organism
  - - coreEngine.Calibration.Organisms.NDistOrg
    - - coreEngine.Calibration.Organisms.NDistCDPOrg

-     public class NDistCDPOrg
      extends NDistOrg

  Author:
    jlake

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `capacityDrop`

    - ### Fields inherited from class coreEngine.Calibration.Organisms.NDistOrg

      `dist, endPeriod, MAIN_AADT, numPer, numSeg, OFR_AADT, ONR_AADT, periodMapping, startPeriod`

    - ### Fields inherited from class coreEngine.Calibration.Organism

      `alg, capacityDropPct, fitness, FITNESS_TYPE, FITNESS_TYPE2, geometry, multiFitness, mutationPct, numProfiles, profileMapping, scenIdx, seedIdx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NDistCDPOrg(GeneticAlgorithm alg, int dim1, int dim2)`
    `NDistCDPOrg(GeneticAlgorithm alg, int seedIdx, int dim1, int dim2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `applyMeme()`
    `void` | `calcFitness()`
    `protected void` | `calcMultiFitness()`
    `protected void` | `calcSingleFitness()`
    `java.lang.String` | `getBinCapacityDrop()`
    `float` | `getCapcityDrop()`
    `NDistCDPOrg` | `getChildOrg(Distribution[][] newDists)`
    `NDistCDPOrg` | `getChildOrg(Distribution[][] newDists, java.lang.String capacityDrop)`
    `Organism` | `getDeepCopy()`
    `void` | `mutate()`
    `void` | `setCapacityDrop(java.lang.String binCapDrop)`

    - ### Methods inherited from class coreEngine.Calibration.Organisms.NDistOrg

      `assignAFToSeed, crossover, getAF, getDim1, getDim2, getDistribution, getEncodingArray, getEncodingString, printDistInfo, setBinDigits, setDistInfo, setupMapping`

    - ### Methods inherited from class coreEngine.Calibration.Organism

      `checkFitnessDiversity, getFitness, getScenarioIndex, getSeedBaseFitness, getSeedIdx, setGeometry, setScenarioIndex, setSeedIdx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### capacityDrop

          protected java.lang.String capacityDrop

  - ### Constructor Detail

    - #### NDistCDPOrg

          public NDistCDPOrg(GeneticAlgorithm alg,
                             int dim1,
                             int dim2)

    - #### NDistCDPOrg

          public NDistCDPOrg(GeneticAlgorithm alg,
                             int seedIdx,
                             int dim1,
                             int dim2)

  - ### Method Detail

    - #### getChildOrg

          public NDistCDPOrg getChildOrg(Distribution[][] newDists)

      Overrides:
        `getChildOrg` in class `NDistOrg`

    - #### getChildOrg

          public NDistCDPOrg getChildOrg(Distribution[][] newDists,
                                         java.lang.String capacityDrop)

    - #### calcFitness

          public void calcFitness()

      Overrides:
        `calcFitness` in class `NDistOrg`

    - #### calcSingleFitness

          protected void calcSingleFitness()

    - #### calcMultiFitness

          protected void calcMultiFitness()

    - #### getDeepCopy

          public Organism getDeepCopy()

      Overrides:
        `getDeepCopy` in class `NDistOrg`

    - #### mutate

          public void mutate()

      Overrides:
        `mutate` in class `NDistOrg`

    - #### applyMeme

          public int applyMeme()

      Overrides:
        `applyMeme` in class `NDistOrg`

    - #### getCapcityDrop

          public float getCapcityDrop()

    - #### setCapacityDrop

          public void setCapacityDrop(java.lang.String binCapDrop)

    - #### getBinCapacityDrop

          public java.lang.String getBinCapacityDrop()